# Hurricane VLSI Database

List of all members | Public Types | Static Public Member Functions
Hurricane::Polygon Class Reference

Polygon description (API) More...

Inheritance diagram for Hurricane::Polygon:
[legend]

## Public Types
typedef Component | Super
Public Types inherited from Hurricane::Component
typedef Go | Inherit

## Static Public Member Functions
static Polygon * | create (Net *, const Layer *, const std::vector< Point > &)
Static Public Member Functions inherited from Hurricane::Component
static ComponentFilter | getIsUnderFilter (const Box &area)
Static Public Member Functions inherited from Hurricane::Go
static bool | autoMaterializationIsDisabled ()
static void | enableAutoMaterialization ()
static void | disableAutoMaterialization ()

## Additional Inherited Members
Public Member Functions inherited from Hurricane::Component
Net * | getNet () const
Rubber * | getRubber () const
Hook * | getBodyHook ()
virtual Hooks | getHooks () const
virtual Point | getPosition () const
Components | getConnexComponents () const
Components | getSlaveComponents () const
Public Member Functions inherited from Hurricane::Go
bool | isMaterialized () const
Public Member Functions inherited from Hurricane::DBo
virtual void | destroy ()
Property * | getProperty (const Name &) const
Properties | getProperties () const
bool | hasProperty () const
void | put (Property *)
void | remove (Property *)
void | removeProperty (const Name &)
void | clearProperties ()

## Detailed Description

Polygon description (API)

# Introduction

Polygon should be used to create huge convex and manhattanized polygons. Manhattanization is done so the real geometric shape is completly included in it. The memory representation has been optimized for very large shape (compare to the foundry grid) and is inefficient for small ones.

The minimal step length for the manhattanisation is set up with DbU::setPolygonStep().

Warning
  Polygon objects cannot be exported in symbolic layout.

## Member Typedef Documentation

## ◆ Super

Hurricane::Polygon::Super

Useful for calling upon methods of the base class without knowing it.

## Member Function Documentation

## ◆ create()

Polygon * Hurricane::Polygon::create | ( | Net * | net,
|  | const Layer * | layer,
|  | const std::vector< Point > & | points
| ) |  |
| static

Create a polygon of `layer` in `net`. `points` define the vertexes.

The documentation for this class was generated from the following files:

- Polygon.h
- Polygon.dox

Generated by doxygen 1.8.14 on Tue Jul 21 2020 | Return to top of page

Hurricane VLSI Database | Copyright © 2000-2016 Bull S.A. All rights reserved